## pacemaker 1.1.10%2Bgit20130802

=== debian/control ===
Source: pacemaker
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Martin Loschwitz <madkiss@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>, Simon Horman <horms@debian.org>, Frederik Schüler <fs@debian.org>
Build-Depends: debhelper (>= 7.0.50), automake, autoconf, chrpath, libsnmp-dev, libglib2.0-dev, perl, net-tools, python (>= 2.6.6-3~), libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, libbz2-dev, zlib1g-dev, libltdl3-dev, openssh-client, libgnutls-dev, libpam0g-dev, libncurses5-dev, libcorosync-dev (>= 1.4.4-1), libheartbeat2-dev (>= 3.0), libxslt1-dev, libesmtp-dev, cluster-glue-dev (>= 1.0.11+hg2754), liblrm2-dev, libpils2-dev, libplumb2-dev, libplumbgpl2-dev, libstonith1-dev, help2man, libxml2-utils, xsltproc, docbook-xsl, resource-agents-dev, libqb-dev (>= 0.16.0.real-1), hardening-wrapper, libcfg-dev
Standards-Version: 3.9.3
Homepage: http://clusterlabs.org/
Vcs-Hg: http://hg.debian.org/hg/debian-ha/pacemaker
Vcs-Browser: http://hg.debian.org/hg/debian-ha/pacemaker
X-Python-Version: >= 2.5

Package: pacemaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libheartbeat2, resource-agents, python, adduser, corosync (>= 1.4.4-1) | heartbeat (>= 3.0), crmsh, pacemaker-cli-utils
Conflicts: pacemaker-heartbeat, pacemaker-openais
Replaces: pacemaker-heartbeat, pacemaker-openais
Description: HA cluster resource manager
 High-Availability cluster resource manager for Heartbeat as 
 well as Corosync.
 .
 Pacemaker supports a very sophisticated dependency model for 
 n-node clusters and can respond to node and resource-level 
 failures.
 .
 It supports both the Heartbeat and Corosync cluster stacks.

Package: pacemaker-cli-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Conflicts: pacemaker (<< 1.1.9+git20130321-1)
Replaces: pacemaker (<< 1.1.9+git20130321-1)
Description: Command line interface utilities for Pacemaker
 This package contains numerous command line utilities for the
 Pacemaker cluster manager such as crm_mon and crm_attribute. If
 you intend to run Pacemaker, you will definetely need them. If
 you plan to run pacemaker-remote, these tools will come in very
 handy, too.

Package: pacemaker-remote
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, resource-agents, python, pacemaker-cli-utils
Description: Pacemaker add-on to control virtualized services
 Pacemaker is a cluster resource manager that allows one to manage
 cluster resources in a highly available manner. This version
 of it called pacemaker-remote can be run within virtual machines
 and allows their services to be controlled by the cluster-wide
 pacemaker instance running. 
 .
 If you want to make services within your virtual machines highly
 available without running a separate pacemaker cluster, you will
 need this package.

Package: pacemaker-dev
Section: devel
Architecture: any
Replaces: pacemaker-heartbeat-dev, pacemaker-openais-dev
Conflicts: pacemaker-heartbeat-dev, pacemaker-openais-dev
Depends: ${shlibs:Depends}, ${misc:Depends}, pacemaker (>= ${binary:Version}), python, libcorosync-dev (>= 1.4.4-1), libheartbeat2-dev (>= 3.0) , libglib2.0-dev, libxml2-dev, libcluster-glue-dev (>= 1.0.11+hg2754), libcib3-dev (>= ${binary:Version}), libcrmcluster4-dev (>= ${binary:Version}), libcrmcommon3-dev (>= ${binary:Version}), libpe-rules2-dev (>= ${binary:Version}), libpe-status4-dev (>= ${binary:Version}), libpengine4-dev (>= ${binary:Version}), libstonithd2-dev (>= ${binary:Version}), libtransitioner2-dev (>= ${binary:Version}), liblrmd1-dev (>= ${binary:Version}), libcrmservice1-dev (>= ${binary:Version})
Description: HA cluster resource manager (development files)
 High-Availability cluster resource manager for Heartbeat.
 .
 Pacemaker supports a very sophisticated dependency model for 
 n-node clusters and can respond to node and resource-level 
 failures.
 . 
 This package contains pacemaker's development files.

Package: pacemaker-dbg
Architecture: any
Section: debug
Priority: extra
Depends: pacemaker (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for Pacemaker
 High-Availability cluster resource manager for Heartbeat as
 well as Corosync.
 .
 Pacemaker supports a very sophisticated dependency model for
 n-node clusters and can respond to node and resource-level
 failures.
 .
 It supports both the Heartbeat and Corosync cluster stacks.
 .
 This package contains the debugging symbols for Pacemaker.

Package: libcib3-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libcib3 (= ${binary:Version})
Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2), libcib1-dev, libcib2-dev, pacemaker-dev (<< 1.1.8+git20121010-1)
Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2), libcib1-dev, libcib2-dev, pacemaker-dev (<< 1.1.8+git20121010-1)
Description: Development file for pacemaker's cib library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (CIB). Install 
 it if you want to do development based on pacemaker.

Package: libcib3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pacemaker (<= 1.0.9.1+hg15626-2), libcib1, libcib2
Conflicts: pacemaker (<= 1.0.9.1+hg15626-2), libcib1, libcib2
Description: Pacemaker libraries - CIB 
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 CIB library.

Package: libcrmcluster4-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libcrmcluster4 (= ${binary:Version})
Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2), libcrmcluster1-dev, libcrmcluster2-dev
Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2), libcrmcluster1-dev, libcrmcluster2-dev
Description: Development file for pacemaker's crm library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (CRM). Install 
 it if you want to do development based on pacemaker.

Package: libcrmcluster4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pacemaker (<= 1.0.9.1+hg15626-2), libcrmcluster1, libcrmcluster2
Conflicts: pacemaker (<= 1.0.9.1+hg15626-2), libcrmcluster1, libcrmcluster2
Description: Pacemaker libraries - CRM
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 CRM cluster library.

Package: libcrmcommon3-dev
Architecture: any
Section: libdevel
Depends:
 ${misc:Depends}, libcrmcommon3 (= ${binary:Version}),
 cluster-glue-dev (>= 1.0.11+hg2754)
Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2), libcrmcommon2-dev, pacemaker-dev (<< 1.1.8+git20121010-1)
Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2), libcrmcommon2-dev, pacemaker-dev (<< 1.1.8+git20121010-1)
Description: Development file for pacemaker's common library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (common CRM). 
 Install it if you want to do development based on pacemaker.

Package: libcrmcommon3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pacemaker (<= 1.0.9.1+hg15626-2), libcrmcommon2
Conflicts: pacemaker (<= 1.0.9.1+hg15626-2), libcrmcommon2
Description: Pacemaker libraries - common CRM
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 common CRM library.

Package: libpe-rules2-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libpe-rules2 (= ${binary:Version})
Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2), libpe-rules-2-dev (<= 1.0.10-1)
Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2), libpe-rules-2-dev (<= 1.0.10-1)
Description: Development file for pacemaker's rules library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (pengine rules). 
 Install it if you want to do development based on pacemaker.

Package: libpe-rules2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pacemaker (<= 1.0.9.1+hg15626-2), libpe-rules-2 (<= 1.0.10-1)
Conflicts: pacemaker (<= 1.0.9.1+hg15626-2), libpe-rules-2 (<= 1.0.10-1)
Description: Pacemaker libraries - rules for P-Engine
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 PEngine rules library.

Package: libpe-status4-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libpe-status4 (= ${binary:Version})
Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2), libpe-status-2-dev (<= 1.0.10-1), libpe-status2-dev, libpe-status3-dev
Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2), libpe-status-2-dev (<= 1.0.10-1), libpe-status2-dev, libpe-status3-dev
Description: Development file for pacemaker's status library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (pengine status). 
 Install it if you want to do development based on pacemaker.

Package: libpe-status4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pacemaker (<= 1.0.9.1+hg15626-2), libpe-status-2 (<= 1.0.10-1), libpe-status3
Conflicts: pacemaker (<= 1.0.9.1+hg15626-2), libpe-status-2 (<= 1.0.10-1), libpe-status3
Description: Pacemaker libraries - status for P-Engine
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 PEngine status library.

Package: libpengine4-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libpengine4 (= ${binary:Version})
Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2), libpengine3-dev
Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2), libpengine3-dev
Description: Development file for pacemaker's pengine library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (pengine). 
 Install it if you want to do development based on pacemaker.

Package: libpengine4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pacemaker (<= 1.0.9.1+hg15626-2), libpengine3, pacemaker-dev (<< 1.1.8+git20121010-1)
Conflicts: pacemaker (<= 1.0.9.1+hg15626-2), libpengine3, pacemaker-dev (<< 1.1.8+git20121010-1)
Description: Pacemaker libraries - P-Engine
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 PEngine library.

Package: libstonithd2-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libstonithd2 (= ${binary:Version})
Replaces: pacemaker-dev (<= 1.0.9.1+hg15626-2), libstonithd0-dev
Conflicts: pacemaker-dev (<= 1.0.9.1+hg15626-2), libstonithd0-dev
Description: Development file for pacemaker's stonith library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (stonith). 
 Install it if you want to do development based on pacemaker.

Package: libstonithd2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: pacemaker (<= 1.0.9.1+hg15626-2), libstonithd0
Conflicts: pacemaker (<= 1.0.9.1+hg15626-2), libstonithd0
