=== debian/watch ===
version=3
http://www.clusterlabs.org/rpm/epel-5/src/pacemaker-([\d]+[\d\.]*)-[\d\.]+\.el5\.src\.rpm
