## pacemaker 1.1.10%2bgit20130802

=== debian/changelog ===
pacemaker (1.1.10+git20130802-1ubuntu2.3) trusty; urgency=medium

  * Fix: stonith-ng: Reset mainloop source IDs after removing them (LP: #1412962)
  * Fix: services: Fixes segfault associated with cancelling in-flight
    recurring operations (LP: #1412962)
  * Fix: services: Remove cancelled recurring ops from internal
    lists as early as possible (LP: #1412962)

 -- Rafael David Tinoco (Inaddy) <inaddy@ubuntu.com>  Wed, 04 Feb 2015 15:51:09 -0600

pacemaker (1.1.10+git20130802-1ubuntu2.2) trusty; urgency=medium

  [ James Page ]
  * d/control: Ensure that pacemaker binary package uses matched binary
    versions of pacemaker libraries, avoiding upgrade problems (LP: #1382842).

  [ Rafael David Tinoco ]
  * d/p/Fix-lrmd-Prevent-glib-timers-removed-more-than-once.patch:
    Prevent glib assert triggered by timers being removed from mainloop more
    than once, cherry picked from upstream VCS (LP: #1368737).

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Thu, 18 Dec 2014 10:09:39 +0000

pacemaker (1.1.10+git20130802-1ubuntu2.1) trusty; urgency=medium

  * Fix: services: Do not allow duplicate recurring op entries - 1/3 (LP: #1353473)
  * High: lrmd: Merge duplicate recurring monitor operations - 2/3 (LP: #1353473)
  * Fix: lrmd: Cancel recurring operations before stop action is executed - 3/3 (LP: #1353473)

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Wed, 06 Aug 2014 09:24:13 -0300

pacemaker (1.1.10+git20130802-1ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:49:43 +0000

pacemaker (1.1.10+git20130802-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Build-Depends on libqb-dev; Depends on libheartbeat2.
  * Corosync's pacemaker plugin is disabled, hence not built:
    - debian/licrmcluster4-dev.install: Do not install plugin.h.
    - debian/pacemaker.install: Do not install pacemaker.lcrso.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 15 Aug 2013 11:27:07 -0400

pacemaker (1.1.10+git20130802-1) unstable; urgency=low

  * Update to latest Git HEAD for M/S fix
  * Bump Build-Dependency on libqb to 0.16.0.real-1

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 02 Aug 2013 07:19:18 +0000

pacemaker (1.1.10-2) unstable; urgency=low

  * Fix versioned Corosync dependency 
  * Bump the Build-Dependency on cluster-glue

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 02 Aug 2013 06:59:10 +0000

pacemaker (1.1.10-1) unstable; urgency=low

  * New upstream version; Pacemaker 1.1.10 for Unstable, still using the old
    Corosync.
  * debian/patches/ftbfs: Drop, upstream now

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 01 Aug 2013 10:51:50 +0000

pacemaker (1.1.9+git20130321-1ubuntu3) saucy; urgency=low

  * debian/control: Depend on libheartbeat2

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 30 Jul 2013 17:48:11 -0400

pacemaker (1.1.9+git20130321-1ubuntu2) saucy; urgency=low

  * debian/control: Remove revision for corosync related Deps.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 23 Jul 2013 18:32:30 -0400

pacemaker (1.1.9+git20130321-1ubuntu1) saucy; urgency=low

  * Resync from debian expiremental.
  * debian/control:
    - Use lower version for Build-Depends on libcorosync-dev
      and libqb-dev.
    - Build-Depends on libcfg-dev.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 16 Jul 2013 16:40:24 -0400

pacemaker (1.1.9+git20130321-1) experimental; urgency=low

  * New upstream version
  * debian/patches/libpils_fix.patch: Drop, included in upstream now
  * debian/patches/default_file_for_pacemaker.patch: Updated
  * debian/patches/fix_dir_creation.patch: Drop, included in upstream now
  * Added the pacemaker-remote package

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 21 Mar 2013 08:55:41 +0000

pacemaker (1.1.8+git20121010-2) unstable; urgency=low

  * debian/patches/libpils_fix.patch: Make pacemaker load libpils
    to make oldsk00l stonith agents work again 

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 11 Oct 2012 08:18:39 +0000

pacemaker (1.1.8+git20121010-1) unstable; urgency=low

  * New git checkout to fix a problem with ver:1 mode on unstable 
  * debian/pacemaker-dev.install: Re-locate the .pc files to -lib packages
    so that the CRM shell can find them without problems
  * debian/rules: Install the new pacemaker default file
  * debian/pacemaker.postinst: Make sure directories in /var/lib/pacemaker
    exist and have the right permissions
 
 -- Martin Loschwitz <madkiss@debian.org>  Wed, 10 Oct 2012 11:07:28 +0000

pacemaker (1.1.8+git20121009-3) unstable; urgency=low

  * Apply another little fix by Andrew to fix the same issue 

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 10 Oct 2012 07:33:23 +0000

pacemaker (1.1.8+git20121009-2) unstable; urgency=low

  * Apply a fix by Andrew Beekhof to fix the ver:1 mode of Pacemaker in
    conjunction with Corosync 1.4.4 and libqb

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 10 Oct 2012 06:53:16 +0000

pacemaker (1.1.8+git20121009-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version to 3.9.3
  * debian/control: Add libqb-dev to Build-Depends
  * debian/*: Tops of adaptions for new upstream release
  * debian/rules: Enabled build hardening

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 09 Oct 2012 12:17:46 +0000
