## pacemaker 1.1.10+git20130802

=== debian/changelog ===
pacemaker (1.1.10+git20130802-4ubuntu3) utopic; urgency=medium

  * Fix: services: Do not allow duplicate recurring op entries - 1/3 (LP: #1353473)
  * High: lrmd: Merge duplicate recurring monitor operations - 2/3 (LP: #1353473)
  * Fix: lrmd: Cancel recurring operations before stop action is executed - 3/3 (LP: #1353473)

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Thu, 04 Sep 2014 09:58:36 -0500

pacemaker (1.1.10+git20130802-4ubuntu2) utopic; urgency=high

  * No change rebuild against gnutls28.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Aug 2014 13:56:26 +0100

pacemaker (1.1.10+git20130802-4ubuntu1) utopic; urgency=low

  * Merge from Debian unstable (LP: #1351307).  Remaining changes:
    - debian/control: Build-Depends on libcfg-dev; Depends on libheartbeat2.
  * Corosync's pacemaker plugin is disabled, hence not built:
    - debian/licrmcluster4-dev.install: Do not install plugin.h.
    - debian/pacemaker.install: Do not install pacemaker.lcrso.

 -- Liam Young <liam.young@canonical.com>  Fri, 01 Aug 2014 15:27:42 +0100

pacemaker (1.1.10+git20130802-4) unstable; urgency=low

  * debian/patches/fix_crm_mon_host_list.patch: Patch by Andrew Beekhof to
    finally fix crm_mon. 

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 06 Aug 2013 11:03:04 +0000

pacemaker (1.1.10+git20130802-3) unstable; urgency=low

  * Added four patches by Andrew Beekhof to make the CLI utils behave in a
    rather expected way than before
  * debian/patches/fix_crm_mon_utils.patch: drop

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 06 Aug 2013 05:08:48 +0000

pacemaker (1.1.10+git20130802-2) unstable; urgency=low

  * debian/patches/fix_crm_mon_utils.patch: Patch by Andrew Beekhof to
    fix crm_mon 

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 05 Aug 2013 12:55:31 +0000
