## pacemaker 1.1.12

=== debian/changelog ===
pacemaker (1.1.12-1+cs1) jessie-cluster; urgency=medium

  * local jessie-cluster build

 -- Christian Schwamborn <cs@mail.architektur.tu-darmstadt.de>  Tue, 30 Jun 2015 14:20:48 +0200

pacemaker (1.1.12-1) UNRELEASED; urgency=medium

  * New upstream release

  [ Richard B Winters ]
  * debian/control: Multiple edits;
    - Formatted fields for folding where applicable
    - Updated Build-depends required version of debhelper to >=9
    - Added dh-autoreconf, dh-python, and dh-systemd to 
      Build-Depends
    - Changed libcluster-glue-dev to cluster-glue-dev as the 
      former is a transitional package for the latter
    - Change libcorosync-dev to corosync-dev, and added the 
      individual libraries as Build-Depends:
      -- libcfg-dev
      -- libcmap-dev
      -- libcorosync-common-dev
      -- libquorum-dev
      -- libtotem-pg-dev
      -- libvotequorum-dev
    - Removed heartbeat and libheartbeat from depends in packages
      where they were present
    - Removed hardening-wrapper in preparation of updating the
      hardening implementation
    - Updated descriptions for several packages
    - Removed duplicate/conflicting Conflicts/Replaces entries in 
      libcib
    - Bumped standards version; Copyright updated to DEP-5 
      versioned format
    - Added pacemaker-doc to package offering
    - Added/Updated Vcs-Git and Vcs-Browser to point to the newly 
      created packaging repositories
    - Added Multi-Arch support to shared libraries and dev packages
       - Pre-Depends utilized where applicable
       - Shared libs and their dev packages set to Multi-Arch: same
  * debian/copyright: Multiple edits;
    - Formatted according to DEP-5 version
    - Added debian-ha-maintainers and each uploader to debian/*
  * debian/pacemaker.install: Updated references;
    - Removed reference to heartbeat files
    - Removed reference to usr/lib/lcrso/*.lcrso files
    - Modified reference to usr/lib/python*/*-packages/cts/*.py 
      so that it copies all files; it allows removal of compiled 
      bytecode via dh_compress by not failing build due to 
      uninstalled files before dh reaches that step
    - Added reference to lib/systemd/system/pacemaker.service
    - Added reference to etc/logrotate.d/pacemaker
    - Updated paths to use the triplet wild-card where applicable
  * debian/pacemaker-doc.install: Added for pacemaker-doc
  * debian/pacemaker-doc.doc-base: Added for pacemaker-doc
  * debian/pacemaker-remote.install: Updated reference to
    lib/systemd/system/pacemaker_remote.service
  * debian/pacemaker-cli-utils.install: Updated references;
    - Removed reference to crm_uuid
    - Removed reference to crm_uuid.8 manual file
  * debian/libcrmcluster4-dev.install: Updated references;
    - Removed reference to plugin.h include
    - Added reference to compatibility.h
    - Updated references to use wildcards for installing to triplet
      path; Where applicable
  * debian/lib<*>.install: Updated references to use wildcards for
    installing to the triplet path with all shared libraries and their
    respective dev packages;
  * debian/lib<*>.symbols: Accurate symbols added for each of the
    shared libraries, from snapshot.debian.org
  * debian/pacemaker.postinst: Updated to compile bytecode for
    python component; cst
  * debian/pacemaker.prerm: Added to remove compiled bytecode for
    python component; cst
  * debian/patches: Multiple edits;
    - Dropped unapplied patches
    - Added applied patches from Ubuntu's 1.1.12 package that we
      didn't have; patches 0004-0007
    - Ran applied patches through gbp pq; patch file names are now
      serialized 
    - Added patch to clear lintian error regarding the pacemaker
      init script not depending on $remote_fs although it sets paths
  * debian/rules: Multiple edits;
    - Streamlined based on dh7 syntax
    - Added instruction for building doxygen html API documentation
    - Override dh_auto_configure to ensure use of corosync as the 
      cluster stack primary component 
    - Override dh_python2 and specify also the pacemaker-dev
      package
    - Override dh_compress to remove compiled bytecode and python
      object files
    - Added instruction for setting DEB_HOST_MULTIARCH
    - Updated dh_auto_configure so triplet paths are used as the
      paths for the install
  * debian/<*>.lintian-overrides: Added overrides for the following
    lintian informational warnings and errors;
    - pkg-config-bad-directive
    - intra-source-package-circular-dependency
    - embedded-javascript-library
  * debian/pacemaker.postinst: Updated to compile cts bytecode
  * debian/pacemaker.prerm: Added to remove compiled cts bytecode
  * debian/watch: Updated to look at the new clusterlabs github.com
    location
    
  [ Pallai Roland ]
  * debian/control: Multiple edits;
    - Updated dependency version - and changed Conflicts/Replaces
      versions - for libcib4, where previously it was libcib3
    - Added later versions to Conflicts/Replaces where warranted
      for libstonith1d
    - Changed heartbeat to a piped alternative to corosync in 
      pacemaker binary
  * debian/libcib<version>.install: Multple edits;
    - libcib3.install renamed to libcib4.install
    - ABI minor/patch version incremented
  * debian/libcib<version>-dev.install: renamed libcib3-dev.install to
    libcib4-dev.install
  * debian/libcrmcluster4.install
    - ABI minor/patch version incremented
  * debian/libcrmcommon3.install
    - ABI minor/patch version incremented
  * debian/lrmd1.install
    - ABI minor/patch version incremented
  * debian/libpe-rules2.install
    - ABI minor/patch version incremented
  * debian/libpe-status4.install
    - ABI minor/patch version incremented
  * debian/libpengine4.install
    - ABI minor/patch version incremented
  * debian/libstonithd2.install
    - ABI minor/patch version incremented
  * debian/libtransitioner.install
    - ABI minor/patch version incremented

