=== debian/control ===
Source: pacemaker
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Martin Loschwitz <madkiss@debian.org>,
 Anibal Monsalve Salazar <anibal@debian.org>,
 Simon Horman <horms@debian.org>,
 Frederik Schüler <fs@debian.org>,
 Richard B Winters <rik@mmogp.com>
Build-Depends: debhelper (>= 9),
 automake,
 autoconf,
 bison,
 chrpath,
 cluster-glue-dev (>= 1.0.12),
 corosync-dev (>= 2.3.4),
 dh-autoreconf,
 dh-python,
 dh-systemd,
 docbook-xsl,
 doxygen,
 flex,
 graphviz,
 help2man,
 libbz2-dev,
 libcfg-dev (>= 2.3.4),
 libcmap-dev (>= 2.3.4),
 libcorosync-common-dev (>= 2.3.4),
 libcpg-dev (>= 2.3.4),
 libcurl4-openssl-dev | libcurl3-openssl-dev,
 libesmtp-dev,
 libdbus-1-dev,
 libglib2.0-dev,
 libgnutls28-dev | libgnutls-dev,
 liblrm2-dev (>= 1.0.12),
 libltdl3-dev,
 libncurses5-dev,
 libpam0g-dev,
 libpils2-dev (>= 1.0.12),
 libplumb2-dev (>= 1.0.12),
 libplumbgpl2-dev (>= 1.0.12),
 libqb-dev (>= 0.17.1),
 libquorum-dev (>= 2.3.4),
 libsam-dev (>= 2.3.4),
 libsnmp-dev,
 libstonith1-dev (>= 1.0.12),
 libsystemd-dev,
 libtool,
 libtotem-pg-dev (>= 2.3.4),
 libvotequorum-dev (>= 2.3.4),
 libxml2-dev,
 libxml2-utils,
 libxslt1-dev | libxslt-dev,
 net-tools,
 openssh-client,
 perl,
 pkg-config,
 python | python-all | python-dev | python-all-dev,
 resource-agents,
 uuid-dev,
 xsltproc,
 zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.clusterlabs.org/
Vcs-Git: https://alioth.debian.org/anonscm/git/debian-ha/pacemaker.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-ha/pacemaker.git
X-Python-Version: >= 2.5

Package: pacemaker
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 adduser,
 cluster-glue (>= 1.0.12),
 corosync (>= 2.3.4),
 crmsh | pcs,
 libcib4 (>= ${binary:Version}),
 libcfg6 (>= 2.3.4),
 libcmap4 (>= 2.3.4),
 libcorosync-common4 (>= 2.3.4),
 libcpg4 (>= 2.3.4),
 libcrmcluster4 (>= ${binary:Version}),
 libcrmcommon3 (>= ${binary:Version}),
 libcrmservice1 (>= ${binary:Version}),
 liblrm2 (>= 1.0.12),
 liblrmd1 (>= ${binary:Version}),
 libpe-rules2 (>= ${binary:Version}),
 libpe-status4 (>= ${binary:Version}),
 libpengine4 (>= ${binary:Version}),
 libpils2 (>= 1.0.12),
 libplumb2 (>= 1.0.12),
 libplumbgpl2 (>= 1.0.12),
 libquorum5 (>= 2.3.4),
 libsam4 (>= 2.3.4),
 libstonith1 (>= 1.0.12),
 libstonithd2 (>= ${binary:Version}),
 libtotem-pg5 (>= 2.3.4),
 libtransitioner2 (>= ${binary:Version}),
 libvotequorum7 (>= 2.3.4),
 pacemaker-libs,
 pacemaker-cli-utils,
 python,
 resource-agents
Conflicts: pacemaker-heartbeat, pacemaker-openais
Replaces: pacemaker-heartbeat, pacemaker-openais
Description: HA cluster resource manager
 High-Availability cluster resource manager for Corosync.
 .
 Pacemaker supports a very sophisticated dependency model for 
 n-node clusters and can respond to node and resource-level 
 failures.
 .
 Since Corosync handles quorum all on its own, and is RHEL's
 recommended stack, pacemaker supports the Corosync cluster
 stack.

Package: pacemaker-libs
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 cluster-glue (>= 1.0.12),
 corosync (>= 2.3.4),
 libcib4 (= ${binary:Version}),
 libcfg6 (>= 2.3.4),
 libcmap4 (>= 2.3.4),
 libcorosync-common4 (>= 2.3.4),
 libcpg4 (>= 2.3.4),
 libcrmcluster4 (= ${binary:Version}),
 libcrmcommon3 (= ${binary:Version}),
 libcrmservice1 (= ${binary:Version}),
 liblrm2 (>= 1.0.12),
 liblrmd1 (= ${binary:Version}),
 libpe-rules2 (= ${binary:Version}),
 libpe-status4 (= ${binary:Version}),
 libpengine4 (= ${binary:Version}),
 libpils2 (>= 1.0.12),
 libplumb2 (>= 1.0.12),
 libplumbgpl2 (>= 1.0.12),
 libquorum5 (>= 2.3.4),
 libsam4 (>= 2.3.4),
 libstonith1 (>= 1.0.12),
 libstonithd2 (= ${binary:Version}),
 libtotem-pg5 (>= 2.3.4),
 libtransitioner2 (= ${binary:Version}),
 libvotequorum7 (>= 2.3.4)
Conflicts: pacemaker (<< 1.1.12)
Replaces: pacemaker (<< 1.1.12)
Description: Common libraries for the pacemaker cluster stack
 This package contains pacemaker's private libraries. They exist
 as an additional package to help support MultiArch and cross
 compiling by removing architecture dependent components from
 the pacemaker binary package.

Package: pacemaker-cli-utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends}
Conflicts: pacemaker (<< 1.1.12)
Replaces: pacemaker (<< 1.1.12)
Description: Command line interface utilities for Pacemaker
 This package contains numerous command line utilities for the
 Pacemaker cluster manager such as crm_mon and crm_attribute. If
 you intend to run Pacemaker, you will definetely need them. If
 you plan to run pacemaker-remote, these tools will come in very
 handy, too.

Package: pacemaker-remote
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 resource-agents,
 python,
 pacemaker-cli-utils
Description: Pacemaker add-on to control virtualized services
 Pacemaker is a cluster resource manager that allows one to manage
 cluster resources in a highly available manner. This version
 of it called pacemaker-remote can be run within virtual machines
 and allows their services to be controlled by the cluster-wide
 pacemaker instance running. 
 .
 If you want to make services within your virtual machines highly
 available without running a separate pacemaker cluster, you will
 need this package.

Package: pacemaker-dev
Section: devel
Architecture: any
Multi-Arch: foreign
Replaces: pacemaker-heartbeat-dev,
 pacemaker-openais-dev
Conflicts: pacemaker-heartbeat-dev,
 pacemaker-openais-dev
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 cluster-glue-dev (>= 1.0.12),
 corosync-dev (>= 2.3.4),
 libcib4-dev (>= ${binary:Version}),
 libcfg-dev (>= 2.3.4),
 libcmap-dev (>= 2.3.4),
 libcorosync-common-dev (>= 2.3.4),
 libcpg-dev (>= 2.3.4),
 libcrmcluster4-dev (>= ${binary:Version}),
 libcrmcommon3-dev (>= ${binary:Version}),
 libcrmservice1-dev (>= ${binary:Version}),
 libglib2.0-dev,
 liblrm2-dev (>= 1.0.12),
 liblrmd1-dev (>= ${binary:Version}),
 libpe-rules2-dev (>= ${binary:Version}),
 libpe-status4-dev (>= ${binary:Version}),
 libpengine4-dev (>= ${binary:Version}),
 libpils2-dev (>= 1.0.12),
 libplumb2-dev (>= 1.0.12),
 libplumbgpl2-dev (>= 1.0.12),
 libquorum-dev (>= 2.3.4),
 libsam-dev (>= 2.3.4),
 libstonith1-dev (>= 1.0.12),
 libstonithd2-dev (>= ${binary:Version}),
 libtotem-pg-dev (>= 2.3.4),
 libtransitioner2-dev (>= ${binary:Version}),
 libvotequorum-dev (>= 2.3.4),
 libxml2-dev,
 pacemaker (>= ${binary:Version}),
 python
Description: HA cluster resource manager (development files)
 High-Availability cluster resource manager for the Corosync
 cluster stack.
 .
 Pacemaker supports a very sophisticated dependency model for 
 n-node clusters and can respond to node and resource-level 
 failures.
 .
 This package contains pacemaker's development files.
 
Package: pacemaker-dbg
Architecture: any
Section: debug
Priority: extra
Depends: pacemaker (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for Pacemaker
 High-Availability cluster resource manager for Corosync.
 .
 Pacemaker supports a very sophisticated dependency model for
 n-node clusters and can respond to node and resource-level
 failures.
 .
 Since Corosync handles quorum all on its own, and is RHEL's
 recommended stack, pacemaker supports the Corosync cluster
 stack.
 .
 This package contains the debugging symbols for Pacemaker.

Package: pacemaker-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Pacemaker API Documentation
 High-Availability cluster resource manager for Corosync.
 .
 Pacemaker supports a very sophisticated dependency model for 
 n-node clusters and can respond to node and resource-level 
 failures.
 .
 Since Corosync handles quorum all on its own, and is RHEL's
 recommended stack, pacemaker supports the Corosync cluster
 stack.
 .
 This package contains the html Pacemaker API documentation.

Package: libcib4
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Replaces: libcib1,
 libcib2,
 libcib3
Breaks: pacemaker (<< 1.1.12),
 libcib1,
 libcib2,
 libcib3
Description: Pacemaker libraries - CIB 
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 CIB library.

Package: libcib4-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 libcib4 (= ${binary:Version})
Replaces: libcib1-dev,
 libcib2-dev,
 libcib3-dev
Breaks: pacemaker-dev (<< 1.1.12),
 libcib1-dev,
 libcib2-dev,
 libcib3-dev
Description: Development file for pacemaker's cib library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (CIB). Install 
 it if you want to do development based on pacemaker.

Package: libcrmcluster4
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Replaces: libcrmcluster1,
 libcrmcluster2,
 libcrmcluster3
Breaks: pacemaker (<< 1.1.12),
 libcrmcluster1,
 libcrmcluster2,
 libcrmcluster3
Description: Pacemaker libraries - CRM
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 CRM cluster library.

Package: libcrmcluster4-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 libcrmcluster4 (= ${binary:Version})
Replaces: libcrmcluster1-dev,
 libcrmcluster2-dev,
 libcrmcluster3-dev
Breaks: pacemaker-dev (<< 1.1.12),
 libcrmcluster1-dev,
 libcrmcluster2-dev,
 libcrmcluster3-dev
Description: Development file for pacemaker's crm library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (CRM). Install 
 it if you want to do development based on pacemaker.

Package: libcrmcommon3
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Replaces: libcrmcommon2
Breaks: pacemaker (<< 1.1.12),
 libcrmcommon2
Description: Pacemaker libraries - common CRM
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 common CRM library.

Package: libcrmcommon3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 libcrmcommon3 (= ${binary:Version}),
 cluster-glue-dev (>= 1.0.12),
 liblrm2-dev (>= 1.0.12),
 libpils2-dev (>= 1.0.12),
 libplumb2-dev (>= 1.0.12),
 libplumbgpl2-dev (>= 1.0.12),
 libstonith1-dev (>= 1.0.12)
Replaces: libcrmcommon2-dev
Breaks: pacemaker-dev (<< 1.1.12),
 libcrmcommon2-dev
Description: Development file for pacemaker's common library
 This package contains static libraries, symbol files as well as
 headers provided by the pacemaker cluster manager (common CRM). 
 Install it if you want to do development based on pacemaker.

Package: libcrmservice1
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Breaks: pacemaker (<< 1.1.12)
Description: Pacemaker libraries - crmservice
 This package contains some of the libraries provided by and needed
 for the pacemaker cluster manager. You need to install them if you
 intend to run pacemaker. Specifically, this package contains the
 crmservice library.

Package: libcrmservice1-dev
Architecture: any
Multi-Arch: same
Section: libdevel
